#
# spec file for package guile-gnutls
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           guile-gnutls
Version:        4.0.0
Release:        1.5
Summary:        Guile bindings to GnuTLS
License:        LGPL-2.1-or-later
Group:          Development/Libraries/Other
URL:            https://gitlab.com/gnutls/guile
Source0:        https://ftp.gnu.org/gnu/gnutls/guile-gnutls-%{version}.tar.gz
Source1:        https://ftp.gnu.org/gnu/gnutls/guile-gnutls-%{version}.tar.gz.sig
# curl 'https://josefsson.org/key-20190320.txt' | gpg --import - | gpg --export -a "51722B08FE4745A2" > guile-gnutls.keyring
Source2:        guile-gnutls.keyring
BuildRequires:  automake
BuildRequires:  guile-devel
BuildRequires:  libgnutls-devel
BuildRequires:  libtool
BuildRequires:  makeinfo
Provides:       gnutls-guile
Obsoletes:      gnutls-guile

%description
GnuTLS wrappers for GNU Guile, a dialect of Scheme.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install

%files
%doc README
%license COPYING
%{_datadir}/guile/site/*
%{_infodir}/gnutls-guile.info.gz
%{_libdir}/guile/*

%changelog
* Fri Oct 20 2023 Pedro Monreal <pmonreal@suse.com>
- Update to 4.0.0:
  * Fix automake warnings.
  * Indent Guile code.
  * Work around GnuTLS 3.8.1 bug wrt missing GNUTLS_NO_EXTENSIONS.
  * Changed encoding of source files from ISO-8859-1 to UTF-8.
- Update to 3.7.14:
  * Fix AEAD self-test failure on macOS.
  * Bind gnutls_record_get_direction.
- Update to 3.7.13:
  * Bind the AEAD authentication-encryption API and the low-level cipher API.
  * Bind a substantial part of the (abstract) public key cryptography API.
  * Bind the pseudo-random number generator.
  * Bind a bunch of X.509 functions.
  * Fix cross-building.
  * Add guix.scm for Guix building.
* Sun Jun 18 2023 Jonathan Brielmaier <jbrielmaier@opensuse.org>
- Update to 3.7.12:
  * The gnutls-guile library can now use newer gnutls features
  * Bind the HMAC and hash functions from GnuTLS
  * Correctly handle blocking writes to session record ports
* Thu Dec 29 2022 Jonathan Brielmaier <jbrielmaier@opensuse.org>
- Add provides and obsoletes
* Tue Dec 13 2022 Jonathan Brielmaier <jbrielmaier@opensuse.org>
- Update to 3.7.11 (changes since 3.7.9):
  * It is now possible to run 'autoreconf from within a tarball
  * Gnulib is used to improve code-reuse and maintainability
  * Build fixes wrt static libraries and GNUTLS_CLAGS
- Use source released on ftp.gnu.org
- Add PGP keyring and tarball signature
- Adapt prep and build phase
- Adapt files to what is actually shipped with the release tarballs
* Thu Dec  1 2022 Jonathan Brielmaier <jbrielmaier@opensuse.org>
- guile-gnutls in version 3.7.9 -> it was moved out of the GnuTLS source tree
